<template>
    <div class="product-container">
      <img :src="product.img" class="product-image" alt="Product Image">
      <div class="product-details">
        <div class="product-detail">{{ $t('form.name') }}: {{ product.name }}</div>
        <div class="product-detail">{{ $t('form.price') }}: {{ product.price }}</div>
        <div class="product-detail">{{ $t('form.category') }}: {{ product.category }}</div>
        <div class="product-detail">{{ $t('form.description') }}: {{ product.description }}</div>
      </div>
      <slot></slot>
    </div>
  </template>
  
  <script>  
  export default {
    props: {
      product: {
        type: Object,
        default: () => ({}),
      },
    },
  };
  </script>
  
  <style scoped>
 .product-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 20px; 
  background-color: #f7f7f7; 
  padding: 20px;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15); 
  border: 4px solid #5cb85c; 
  width: 320px; 
  margin-bottom: 30px; 
}

.product-image {
  width: 140px;
  height: auto;
  border-radius: 12px; 
  margin-right: 20px;
  border: 3px solid #4cae4c; 
}

.product-details {
  flex: 1;
}

.product-detail {
  margin-bottom: 12px;
  font-size: 16px;
  color: #333; 
}
  </style>
  